If you like Gnome

Switch to Gentoo, and you don’t have to use Systemd. See here for info.

Does Deepin require Systemd? I think Manjaro does. Broken Systemd updates suck.